=== debian/changelog ===
ros-eloquent-rmw-fastrtps-dynamic-cpp (0.8.2-1bionic) bionic; urgency=high

  * Update maintainer list for Eloquent (#473 <https://github.com/ros2/rmw_fastrtps/issues/473>)
  * Contributors: Michael Jeronimo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 04 Dec 2020 06:00:00 -0000

ros-eloquent-rmw-fastrtps-dynamic-cpp (0.8.1-1bionic) bionic; urgency=high

  * use return_loaned_message_from (#334 <https://github.com/ros2/rmw_fastrtps/issues/334>)
  * Restrict traffic to localhost only if env var is provided (#331 <https://github.com/ros2/rmw_fastrtps/issues/331>)
  * Zero copy api (#322 <https://github.com/ros2/rmw_fastrtps/issues/322>)
  * update signature for added pub/sub options (#329 <https://github.com/ros2/rmw_fastrtps/issues/329>)
  * Contributors: Brian Marchi, Karsten Knese, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-rmw-fastrtps-dynamic-cpp (0.8.0-1bionic) bionic; urgency=high

  * Add function for getting clients by node (#293 <https://github.com/ros2/rmw_fastrtps/issues/293>)
  * Use rcpputils::find_and_replace instead of std::regex_replace (#291 <https://github.com/ros2/rmw_fastrtps/issues/291>)
  * Export typesupport_fastrtps package dependencies (#294 <https://github.com/ros2/rmw_fastrtps/issues/294>)
  * Implement get_actual_qos() for subscriptions (#287 <https://github.com/ros2/rmw_fastrtps/issues/287>)
  * Contributors: Jacob Perron, M. M, kurcha01-arm

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Sep 2019 05:00:00 -0000

ros-eloquent-rmw-fastrtps-dynamic-cpp (0.7.3-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 May 2019 05:00:00 -0000

ros-eloquent-rmw-fastrtps-dynamic-cpp (0.7.2-1bionic) bionic; urgency=high

  * add support for WString in rmw_fastrtps_dynamic_cpp (#278 <https://github.com/ros2/rmw_fastrtps/issues/278>)
  * Centralize topic name creation logic and update to match FastRTPS 1.8 API (#272 <https://github.com/ros2/rmw_fastrtps/issues/272>)
  * Contributors: Dirk Thomas, Nick Burek

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-rmw-fastrtps-dynamic-cpp (0.7.1-1bionic) bionic; urgency=high

  * Support arbitrary message namespaces  (#266 <https://github.com/ros2/rmw_fastrtps/issues/266>)
  * Add qos interfaces with no-op (#271 <https://github.com/ros2/rmw_fastrtps/issues/271>)
  * Updates for preallocation API. (#274 <https://github.com/ros2/rmw_fastrtps/issues/274>)
  * Contributors: Jacob Perron, Michael Carroll, Ross Desmond

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 May 2019 05:00:00 -0000

ros-eloquent-rmw-fastrtps-dynamic-cpp (0.7.0-1bionic) bionic; urgency=high

  * Add function to get publisher actual qos settings (#267 <https://github.com/ros2/rmw_fastrtps/issues/267>)
  * pass context to wait set and fini context (#252 <https://github.com/ros2/rmw_fastrtps/issues/252>)
  * Add missing logic to dynamic RMW client implementation (#254 <https://github.com/ros2/rmw_fastrtps/issues/254>)
  * Merge pull request #250 <https://github.com/ros2/rmw_fastrtps/issues/250> from ros2/support_static_lib
  * use namespace_prefix from shared package
  * Use empty() instead of size() to check if a vector/map contains elements and fixed some incorrect logging (#245 <https://github.com/ros2/rmw_fastrtps/issues/245>)
  * Contributors: Dirk Thomas, Jacob Perron, Johnny Willemsen, William Woodall, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 13 Apr 2019 05:00:00 -0000

ros-eloquent-rmw-fastrtps-dynamic-cpp (0.6.1-1bionic) bionic; urgency=high

  * Add topic cache object for managing topic relations (#236 <https://github.com/ros2/rmw_fastrtps/issues/236>)
  * Fastrtps 1.7.0 (#233 <https://github.com/ros2/rmw_fastrtps/issues/233>)
  * RMW_FastRTPS configuration from XML only (#243 <https://github.com/ros2/rmw_fastrtps/issues/243>)
  * refactor to support init options and context (#237 <https://github.com/ros2/rmw_fastrtps/issues/237>)
  * Methods to retrieve matched counts on pub/sub (#234 <https://github.com/ros2/rmw_fastrtps/issues/234>)
  * Fixing failing tests on rmw_fastrtps_dynamic_cpp. (#242 <https://github.com/ros2/rmw_fastrtps/issues/242>)
  * use uint8_array (#240 <https://github.com/ros2/rmw_fastrtps/issues/240>)
  * fix linter warnings (#241 <https://github.com/ros2/rmw_fastrtps/issues/241>)
  * Contributors: Dirk Thomas, Juan Carlos, Karsten Knese, Michael Carroll, MiguelCompany, Ross Desmond, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Dec 2018 06:00:00 -0000

ros-eloquent-rmw-fastrtps-dynamic-cpp (0.6.0-1bionic) bionic; urgency=high

  * Merge pull request #232 <https://github.com/ros2/rmw_fastrtps/issues/232> from ros2/array-terminology
  * rename files
  * rename dynamic array to sequence
  * Add semicolons to all RCLCPP and RCUTILS macros. (#229 <https://github.com/ros2/rmw_fastrtps/issues/229>)
  * Include node namespaces in get_node_names (#224 <https://github.com/ros2/rmw_fastrtps/issues/224>)
  * add rmw_get_serialization_format (#215 <https://github.com/ros2/rmw_fastrtps/issues/215>)
  * Merge pull request #218 <https://github.com/ros2/rmw_fastrtps/issues/218> from ros2/pr203
  * Refs #3061 <https://github.com/ros2/rmw_fastrtps/issues/3061>. Adapting code on rmw_fastrtps_dynamic_cpp.
  * Refs #3061 <https://github.com/ros2/rmw_fastrtps/issues/3061>. Package rmw_fastrtps_cpp duplicated as rmw_fastrtps_dynamic_cpp.
  * Contributors: Chris Lalancette, Dirk Thomas, Karsten Knese, Michael Carroll, Miguel Company

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 16 Nov 2018 06:00:00 -0000

ros-eloquent-rmw-fastrtps-dynamic-cpp (0.5.1-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 Jun 2018 05:00:00 -0000

ros-eloquent-rmw-fastrtps-dynamic-cpp (0.5.0-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 23 Jun 2018 05:00:00 -0000


